# Poco

# class Base64Encoder

Library: Foundation
Package: Streams
Header: Poco/Base64Encoder.h

## Description

This ostream base64-encodes all data written to it and forwards it to a connected ostream. Always call close() when done writing data, to ensure proper completion of the encoding operation.

## Inheritance

Direct Base Classes: Base64EncoderIOS, std::ostream

All Base Classes: Base64EncoderIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### Base64Encoder

Base64Encoder(
std::ostream & ostr
);

## Destructor

### ~Base64Encoder

~Base64Encoder();